/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define eepromSpi hspi1
#define etherSpi hspi2
#define debugUart huart1
#define LED_Red_Pin GPIO_PIN_13
#define LED_Red_GPIO_Port GPIOC
#define LED_Green_Pin GPIO_PIN_14
#define LED_Green_GPIO_Port GPIOC
#define EEPROM_CS_Pin GPIO_PIN_4
#define EEPROM_CS_GPIO_Port GPIOA
#define EEPROM_SCK_Pin GPIO_PIN_5
#define EEPROM_SCK_GPIO_Port GPIOA
#define EEPROM_MISO_Pin GPIO_PIN_6
#define EEPROM_MISO_GPIO_Port GPIOA
#define EEPROM_MOSI_Pin GPIO_PIN_7
#define EEPROM_MOSI_GPIO_Port GPIOA
#define ETHER_RES_Pin GPIO_PIN_11
#define ETHER_RES_GPIO_Port GPIOB
#define ETHER_CS_Pin GPIO_PIN_12
#define ETHER_CS_GPIO_Port GPIOB
#define ETHER_SCK_Pin GPIO_PIN_13
#define ETHER_SCK_GPIO_Port GPIOB
#define ETHER_MISO_Pin GPIO_PIN_14
#define ETHER_MISO_GPIO_Port GPIOB
#define ETHER_MOSI_Pin GPIO_PIN_15
#define ETHER_MOSI_GPIO_Port GPIOB
#define Debug_TX_Pin GPIO_PIN_9
#define Debug_TX_GPIO_Port GPIOA
#define Debug_RX_Pin GPIO_PIN_10
#define Debug_RX_GPIO_Port GPIOA
#define Debug_Signal_2_Pin GPIO_PIN_5
#define Debug_Signal_2_GPIO_Port GPIOB
#define Debug_Signal_1_Pin GPIO_PIN_6
#define Debug_Signal_1_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
